package com.example.testsdk;

import tw.com.tbtsdk.TBTBaseActivity;
import tw.com.tbtsdk.TBTDatas;
import tw.com.tbtsdk.TBTSDK;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends TBTBaseActivity implements OnClickListener {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		Button btn1 = (Button) findViewById(R.id.btn1);
		btn1.setOnClickListener(this);
		Button btn2 = (Button) findViewById(R.id.btn2);
		btn2.setOnClickListener(this);
		Button btn3 = (Button) findViewById(R.id.btn3);
		btn3.setOnClickListener(this);
		Button btn4 = (Button) findViewById(R.id.btn4);
		btn4.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.btn1:
			Toast.makeText(this, "isTBTBlutoothDevice=="+TBTSDK.isTBTBlutoothDevice(), Toast.LENGTH_SHORT).show();
			break;
		case R.id.btn2:
			Toast.makeText(this, "isTBTUsbDevice=="+TBTSDK.isTBTUsbDevice(), Toast.LENGTH_SHORT).show();
			break;
		case R.id.btn3:
			TBTSDK.scanByUsb(this);
			break;
		case R.id.btn4:
			TBTSDK.checkAndSetImm(this);
			break;
		default:
			break;
		}

	}

}
